# $Revision: 1.1 $, $Date: 2003/09/04 20:00:18 $
Summary:	Command line diagnostics
Summary(pl):	Narzdzie diagnostyczne dziaajce z linii polece
Name:		sysdiag
Version:	0.1.0
%define	fver	%(echo %{version} | tr . _)
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-diag/%{name}-v%{fver}.tar.gz
# Source0-md5:	6f8ae797f4215647cee90a08607c332c
URL:		http://linux-diag.sourceforge.net/Sysdiag.html
#BuildRequires:	sysfsutils-devel = 0.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_sysconfdir}

%description
sysdiag is a utility that enables the user to run diagnotics on
devices present on the system. It also enables the user to list all
the devices on the system, show event log information from the system
logs for the device. sysdiag makes use of libsysfs, which is a library
that provides set of APIs to query device information from the sysfs
undef Linux 2.5+.

%description -l pl
sysdiag to narzdzie pozwalajce uytkownikowi na wykonanie
diagnostyki urzdze obecnych w systemie. Pozwala take uzyska list
wszystkich urzdze oraz wywietli informacje z logw systemowych o
zdarzeniach zwizanych z tym urzdzeniem. sysdiag wykorzystuje
libsysfs - bibliotek dostarczajc zbir API do uzyskiwania
informacji o urzdzeniach z sysfs pod Linuksem 2.5+.

%prep
%setup -q -n %{name}-v%{fver}

%build
%configure

%{__make}
#	INCLUDES= \
#	LDADD=-lsysfs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/sysdiag.txt
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sysdiag.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysdiag.spec,v $
Revision 1.1  2003/09/04 20:00:18  qboosh
- new

